Summary:        Zapzap - WhatsApp Messenger for Linux
Name:           zapzap
Version:        6.0.1.8
Release:        1%{?dist}

License:        GPLv3+
URL:            https://github.com/rafatosta/%{name}
Source0:        https://github.com/rafatosta/%{name}/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:     noarch

BuildRequires:  python3-devel
BuildRequires:  desktop-file-utils
BuildRequires:  python3-setuptools
BuildRequires:   python3-pyqt6

Requires:   python3-pyqt6-base
Requires:   python3-pyqt6-sip
Requires:   python3-pyqt6-webengine
Requires:   python3-dbus


%description
ZapZap brings the WhatsApp experience on Linux closer to that of a native
application. Since Meta does not provide a public API for third-party
applications, ZapZap is developed as a Progressive Web Application.


%prep
%autosetup -p1

%build
%py3_build

%install
%python3 setup.py install --root %{buildroot}
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/
cp -R share/applications/com.rtosta.zapzap.desktop $RPM_BUILD_ROOT/usr/share/applications/com.rtosta.zapzap.desktop
cp -R share/icons/com.rtosta.zapzap.svg $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/com.rtosta.zapzap.svg


%check

%files
%license LICENSE
%doc README.md
%{python3_sitelib}/*
%{_bindir}/%{name}
%{_datadir}/applications/com.rtosta.zapzap.desktop
%{_datadir}/icons/hicolor/*

%changelog
* Sat May 24 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 6.0.1.8-1
- Rebuilt for MSVSphere 10

* Thu May 22 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 6.0.1.8-1
- Initial build


